# filter out bogus auto-requires
%global __requires_exclude pear\\(.*\\)

%global _python_bytecompile_extra %nil

Name:           codelite
Version:        14.0
%define subrel  1
Release:        %mkrel 4
Summary:        A powerful open-source, cross platform C/C++/PHP IDE
License:        GPLv2+
Group:          Development/Tools
Url:            http://codelite.org
Source0:        https://github.com/eranif/codelite/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         codelite-12.0-mga-remove-bundled-cppcheck.patch
Patch1:         codelite-remove-bundled-wxsqlite.patch
Patch2:         codelite-disable-stripping.patch
Patch3:         codelite-default-no-check-for-updates.patch
Patch4:         codelite-9.0-mga-linking-sqlite3.patch
Patch7:         codelite-12.0-adding-harfbuzz-headers.patch
Patch8:         codelite-linking.patch
BuildRequires:  clang-devel
BuildRequires:  cmake
BuildRequires:  lldb-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libssh)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(wxsqlite3)
BuildRequires:  wxgtk-devel
Recommends:     gcc
Recommends:     xterm

%description
CodeLite uses a sophisticated, yet intuitive interface which allows
users to easily create, build and debug complex projects.

It provides built-in support for GCC/Clang/VC++ compilers and debugging
using GDB.

%prep
%autosetup -p1

# Make sure we don't build against bundled (wx)sqlite3
rm -rf sdk/databaselayer/src/sqlite3 sdk/wxsqlite3 sqlite3

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib} \
       -DENABLE_CLANG=1 \
       -DENABLE_LLDB=1
%cmake_build

%install
%cmake_install

# python shebangs
pathfix.py -pni "%__python3 %{py3_shbang_opts}" %{buildroot}%{_bindir}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS LICENSE COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*.1*


%changelog
* Wed Jan 05 2022 wally <wally> 14.0-4.1.mga8
+ Revision: 1766963
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 14.0-4.mga8
+ Revision: 1667692
- rebuild for wxgtk pre 3.1.5 snapshot

* Thu Nov 26 2020 tv <tv> 14.0-3.mga8
+ Revision: 1649620
- rebuild for llvm/clang 11.0

* Sun Aug 16 2020 wally <wally> 14.0-2.mga8
+ Revision: 1614330
- rebuild for new wxgtk 3.1.4

* Mon Apr 06 2020 kekepower <kekepower> 14.0-1.mga8
+ Revision: 1565332
- Update to version 14.0

* Sun Mar 22 2020 tv <tv> 13.0-3.mga8
+ Revision: 1558878
- rebuild for llvm-10.0.0

* Tue Feb 18 2020 umeabot <umeabot> 13.0-2.mga8
+ Revision: 1541821
- Mageia 8 Mass Rebuild

* Thu Jan 02 2020 wally <wally> 13.0-1.mga8
+ Revision: 1475487
- new version 13.0
- build with new cmake macros
- rebuild for wxgtk 3.1.3

* Tue Sep 17 2019 tv <tv> 12.0-9.mga8
+ Revision: 1443215
- disable %%_python_bytecompile_extra
- rebuild for llvm-9.0

* Tue Aug 20 2019 daviddavid <daviddavid> 12.0-8.mga8
+ Revision: 1430662
- add patch to adding harfbuzz headers in FindGTK3.cmake

* Thu Jul 18 2019 wally <wally> 12.0-7.mga8
+ Revision: 1422561
- rebuild with gtk3 enabled wxgtk 3.1.2
- add patch to build against correct wxsqlite libs

* Sun Apr 21 2019 daviddavid <daviddavid> 12.0-6.mga7
+ Revision: 1394156
- rebuild for new wxsqlite3 4.4.2

* Mon Apr 15 2019 akien <akien> 12.0-5.mga7
+ Revision: 1390803
- Rebuild for llvm 8.0.0

* Fri Nov 23 2018 daviddavid <daviddavid> 12.0-4.mga7
+ Revision: 1333469
- rebuild for new hunspell 1.7.0

* Thu Sep 27 2018 tv <tv> 12.0-3.mga7
+ Revision: 1308215
- rebuild for llvm 7.0

* Sun Sep 23 2018 umeabot <umeabot> 12.0-2.mga7
+ Revision: 1296662
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 daviddavid <daviddavid> 12.0-1.mga7
+ Revision: 1222101
- new version: 12.0
- rename and rediff P0, P1 and P3

* Thu Apr 12 2018 tv <tv> 9.2-10.mga7
+ Revision: 1217694
- rebuild with llvm/clang 6.0

* Tue Nov 21 2017 tv <tv> 9.2-8.mga7
+ Revision: 1178128
- rebuild for llvm/clang 5

* Thu Sep 21 2017 tv <tv> 9.2-7.mga7
+ Revision: 1156932
- rebuild with llvm-4.0 in core/release

* Sun Aug 06 2017 daviddavid <daviddavid> 9.2-6.mga7
+ Revision: 1137582
- rebuild for new libhunspell 1.6

* Sat Jun 03 2017 akien <akien> 9.2-5.mga6
+ Revision: 1106085
- Rebuild for wxgtk 3.0.3.1

* Wed Mar 29 2017 neoclust <neoclust> 9.2-4.mga6
+ Revision: 1095188
- Rebuild for armv5

* Sat Jan 07 2017 tmb <tmb> 9.2-3.mga6
+ Revision: 1080479
- rebuild with new llvm

* Mon Jan 02 2017 daviddavid <daviddavid> 9.2-2.mga6
+ Revision: 1079613
- rebuild for new wxsqlite3 3.4.1

* Mon Sep 19 2016 akien <akien> 9.2-1.mga6
+ Revision: 1054379
- Version 9.2

* Wed Jul 13 2016 daviddavid <daviddavid> 9.1-4.mga6
+ Revision: 1041893
- rebuild for new lldb 3.8.1

* Thu Jun 02 2016 daviddavid <daviddavid> 9.1-3.mga6
+ Revision: 1020007
- rebuild for wxgtk3.0 built with GTK2

* Thu May 19 2016 akien <akien> 9.1-2.mga6
+ Revision: 1017035
- Don't skip RPATH, needed for plugins
- Enable Clang and LLDB support

* Thu May 19 2016 akien <akien> 9.1-1.mga6
+ Revision: 1016991
- Version 9.1

* Tue Apr 26 2016 daviddavid <daviddavid> 9.0-3.mga6
+ Revision: 1006443
- add patch to fix libhunspell-1.4 detection

* Thu Apr 21 2016 tv <tv> 9.0-2.mga6
+ Revision: 1004204
- rebuid for libhunspell 1.4

* Sun Jan 03 2016 akien <akien> 9.0-1.mga6
+ Revision: 919223
- Version 9.0
- Rediff P1, split sqlite3 linking fix into P4

* Sun Oct 04 2015 akien <akien> 8.1-0.mga6
+ Revision: 886203
- Version 8.1
- Build against wxGTK 3.0
- Unbundle wxsqlite3 and cppcheck

* Wed Oct 15 2014 umeabot <umeabot> 3.5.5375-9.mga5
+ Revision: 740106
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.5.5375-8.mga5
+ Revision: 693655
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.5.5375-7.mga5
+ Revision: 678465
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.5.5375-6.mga4
+ Revision: 503477
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.5.5375-5.mga3
+ Revision: 347980
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 dams <dams> 3.5.5375-4.mga2
+ Revision: 217427
- add category='IDE' in desktop file

* Sat Mar 03 2012 dams <dams> 3.5.5375-3.mga2
+ Revision: 217389
- new version 3.5.5375
- rediff patch
- clean spec file

* Wed Sep 14 2011 fwang <fwang> 2.10.0.4778-3.mga2
+ Revision: 143353
- disable parallel build
- rebuild for new libpng
- fix linkage
- fix build
- new version 2.10.0.4778
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs
- Add BR desktop-file-utils

* Thu Mar 31 2011 ennael <ennael> 2.8.0.4537-2.mga1
+ Revision: 79205
- fix group name (#512)

* Tue Mar 15 2011 jquelin <jquelin> 2.8.0.4537-1.mga1
+ Revision: 71632
- using %%mkrel
+ yuri_myasoedov <yuri_myasoedov>
- Removed prefix and libdir from %%configure, %%mkrel is set to 1
- spec improved according to Mageia RPM packaging policy
- imported package codelite

